diff --git a/en/resources/beta/subresources/responses/websocket-events.md b/en/resources/beta/subresources/responses/websocket-events.md index f0fff014..0cdbf621 100644 --- a/en/resources/beta/subresources/responses/websocket-events.md +++ b/en/resources/beta/subresources/responses/websocket-events.md @@ -11,11 +11,13 @@ Events sent by the client over a Responses API WebSocket connection. ### response.create Client event for creating a response over a persistent WebSocket connection. -This payload uses the same top-level fields as `POST /v1/responses`. +This payload uses the same top-level fields as `POST /v1/responses`, plus +WebSocket-only envelope metadata. Notes: - `stream` is implicit over WebSocket and should not be sent. - `background` is not supported over WebSocket. +- `stream_id` is WebSocket-only and is not part of `POST /v1/responses`. #### Schema @@ -26,7 +28,7 @@ Schema name: `BetaResponsesClientEventResponseCreate` "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0": { "kind": "HttpDeclTypeAlias", "oasRef": "#/components/schemas/BetaResponsesClientEvent/anyOf/0", - "docstring": "Client event for creating a response over a persistent WebSocket connection.\nThis payload uses the same top-level fields as `POST /v1/responses`.\n\nNotes:\n- `stream` is implicit over WebSocket and should not be sent.\n- `background` is not supported over WebSocket.\n", + "docstring": "Client event for creating a response over a persistent WebSocket connection.\nThis payload uses the same top-level fields as `POST /v1/responses`, plus\nWebSocket-only envelope metadata.\n\nNotes:\n- `stream` is implicit over WebSocket and should not be sent.\n- `background` is not supported over WebSocket.\n- `stream_id` is WebSocket-only and is not part of `POST /v1/responses`.\n", "ident": "ResponseCreate", "type": { "kind": "HttpTypeObject", @@ -103,6 +105,9 @@ Schema name: `BetaResponsesClientEventResponseCreate` { "ident": "stream" }, + { + "ident": "stream_id" + }, { "ident": "stream_options" }, @@ -158,6 +163,7 @@ Schema name: `BetaResponsesClientEventResponseCreate` "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) service_tier", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) store", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) stream", + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) stream_id", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) stream_options", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) temperature", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) text", @@ -1231,6 +1237,10 @@ Schema name: `BetaResponsesClientEventResponseCreate` "kind": "HttpTypeLiteral", "literal": "gpt-5.5" }, + { + "kind": "HttpTypeLiteral", + "literal": "gpt-5.5-2026-04-23" + }, { "kind": "HttpTypeLiteral", "literal": "gpt-5.4" @@ -1583,6 +1593,14 @@ Schema name: `BetaResponsesClientEventResponseCreate` "kind": "HttpTypeLiteral", "literal": "computer-use-preview-2025-03-11" }, + { + "kind": "HttpTypeLiteral", + "literal": "gpt-5.5-pro" + }, + { + "kind": "HttpTypeLiteral", + "literal": "gpt-5.5-pro-2026-04-23" + }, { "kind": "HttpTypeLiteral", "literal": "gpt-5-codex" @@ -1868,13 +1886,13 @@ Schema name: `BetaResponsesClientEventResponseCreate` }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) service_tier": { "kind": "HttpDeclProperty", - "oasRef": "#/components/schemas/BetaModelResponseProperties/properties/service_tier", + "oasRef": "#/components/schemas/BetaCreateResponse/allOf/2/properties/service_tier", "deprecated": false, "key": "service_tier", - "docstring": "Specifies the processing type used for serving the request.\n - If set to 'auto', then the request will be processed with the service tier configured in the Project settings. Unless otherwise configured, the Project will use 'default'.\n - If set to 'default', then the request will be processed with the standard pricing and performance for the selected model.\n - If set to '[flex](/docs/guides/flex-processing)', then the request will be processed with the Flex Processing service tier.\n - To opt-in to [Fast mode](/api/docs/guides/fast-mode) at the request level, include the `service_tier=fast` or `service_tier=priority` parameter for Responses or Chat Completions. The response will show `service_tier=priority` regardless of if you specify `service_tier=fast` or `priority` in your request.\n - When not set, the default behavior is 'auto'.\n\n When the `service_tier` parameter is set, the response body will include the `service_tier` value based on the processing mode actually used to serve the request. This response value may be different from the value set in the parameter.\n", + "docstring": "Specifies the processing type used for serving the request.\n - If set to 'auto', then the request will be processed with the service tier configured in the Project settings. Unless otherwise configured, the Project will use 'default'.\n - If set to 'default', then the request will be processed with the standard pricing and performance for the selected model.\n - If set to '[flex](/docs/guides/flex-processing)', then the request will be processed with the Flex Processing service tier.\n - To opt-in to [Fast mode](/api/docs/guides/fast-mode) at the request level, include the `service_tier=fast` or `service_tier=priority` parameter for Responses or Chat Completions. The response will show `service_tier=priority` regardless of if you specify `service_tier=fast` or `priority` in your request.\n - If set to 'ultrafast', then the request will be processed with the access-controlled Ultrafast Processing service tier. This tier is currently available for `gpt-5.6-sol`; a response served through it will show `service_tier=ultrafast`.\n - When not set, the default behavior is 'auto'.\n\n When the `service_tier` parameter is set, the response body will include the `service_tier` value based on the processing mode actually used to serve the request. This response value may be different from the value set in the parameter.\n", "type": { "kind": "HttpTypeUnion", - "oasRef": "#/components/schemas/BetaModelResponseProperties/properties/service_tier", + "oasRef": "#/components/schemas/BetaCreateResponse/allOf/2/properties/service_tier", "types": [ { "kind": "HttpTypeLiteral", @@ -1899,6 +1917,10 @@ Schema name: `BetaResponsesClientEventResponseCreate` { "kind": "HttpTypeLiteral", "literal": "fast" + }, + { + "kind": "HttpTypeLiteral", + "literal": "ultrafast" } ] }, @@ -1913,7 +1935,8 @@ Schema name: `BetaResponsesClientEventResponseCreate` "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) service_tier > (member) 2", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) service_tier > (member) 3", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) service_tier > (member) 4", - "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) service_tier > (member) 5" + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) service_tier > (member) 5", + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) service_tier > (member) 6" ] }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) store": { @@ -1946,6 +1969,24 @@ Schema name: `BetaResponsesClientEventResponseCreate` "schemaType": "boolean", "children": [] }, + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) stream_id": { + "kind": "HttpDeclProperty", + "oasRef": "#/components/schemas/BetaResponsesClientEventResponseCreate/allOf/0/properties/stream_id", + "deprecated": false, + "key": "stream_id", + "docstring": "The WebSocket lane for this response. Requests with the same\n`stream_id` are processed FIFO, and events for the response echo the\nsame `stream_id`.\n\n`stream_id` controls routing; `previous_response_id` controls\nconversation lineage, so a new lane can fork from a response created\non another lane.\n", + "type": { + "kind": "HttpTypeString" + }, + "constraints": { + "minLength": 1, + "maxLength": 256 + }, + "optional": true, + "nullable": false, + "schemaType": "string", + "children": [] + }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) stream_options": { "kind": "HttpDeclProperty", "oasRef": "#/components/schemas/BetaCreateResponse/allOf/2/properties/stream_options", @@ -2181,6 +2222,9 @@ Schema name: `BetaResponsesClientEventResponseCreate` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -3666,6 +3710,10 @@ Schema name: `BetaResponsesClientEventResponseCreate` "kind": "HttpTypeLiteral", "literal": "gpt-5.5" }, + { + "kind": "HttpTypeLiteral", + "literal": "gpt-5.5-2026-04-23" + }, { "kind": "HttpTypeLiteral", "literal": "gpt-5.4" @@ -4018,6 +4066,14 @@ Schema name: `BetaResponsesClientEventResponseCreate` "kind": "HttpTypeLiteral", "literal": "computer-use-preview-2025-03-11" }, + { + "kind": "HttpTypeLiteral", + "literal": "gpt-5.5-pro" + }, + { + "kind": "HttpTypeLiteral", + "literal": "gpt-5.5-pro-2026-04-23" + }, { "kind": "HttpTypeLiteral", "literal": "gpt-5-codex" @@ -4148,7 +4204,10 @@ Schema name: `BetaResponsesClientEventResponseCreate` "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 95", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 96", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 97", - "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 98" + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 98", + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 99", + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 100", + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 101" ] }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 1": { @@ -4641,6 +4700,13 @@ Schema name: `BetaResponsesClientEventResponseCreate` "literal": "fast" } }, + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) service_tier > (member) 6": { + "kind": "HttpDeclReference", + "type": { + "kind": "HttpTypeLiteral", + "literal": "ultrafast" + } + }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) stream_options > (property) include_obfuscation": { "kind": "HttpDeclProperty", "oasRef": "#/components/schemas/BetaResponseStreamOptions/anyOf/0/properties/include_obfuscation", @@ -5175,6 +5241,9 @@ Schema name: `BetaResponsesClientEventResponseCreate` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -5189,6 +5258,7 @@ Schema name: `BetaResponsesClientEventResponseCreate` "childrenParentSchema": "object", "children": [ "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) tools > (items) > (variant) 4 > (property) type", + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) tools > (items) > (variant) 4 > (property) external_web_access", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) tools > (items) > (variant) 4 > (property) filters", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) tools > (items) > (variant) 4 > (property) search_context_size", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) tools > (items) > (variant) 4 > (property) user_location" @@ -7245,661 +7315,682 @@ Schema name: `BetaResponsesClientEventResponseCreate` "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.4" + "literal": "gpt-5.5-2026-04-23" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 5": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.4-mini" + "literal": "gpt-5.4" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 6": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.4-nano" + "literal": "gpt-5.4-mini" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 7": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.4-mini-2026-03-17" + "literal": "gpt-5.4-nano" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 8": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.4-nano-2026-03-17" + "literal": "gpt-5.4-mini-2026-03-17" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 9": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.3-chat-latest" + "literal": "gpt-5.4-nano-2026-03-17" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 10": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.2" + "literal": "gpt-5.3-chat-latest" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 11": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.2-2025-12-11" + "literal": "gpt-5.2" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 12": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.2-chat-latest" + "literal": "gpt-5.2-2025-12-11" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 13": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.2-pro" + "literal": "gpt-5.2-chat-latest" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 14": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.2-pro-2025-12-11" + "literal": "gpt-5.2-pro" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 15": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.1" + "literal": "gpt-5.2-pro-2025-12-11" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 16": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.1-2025-11-13" + "literal": "gpt-5.1" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 17": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.1-codex" + "literal": "gpt-5.1-2025-11-13" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 18": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.1-mini" + "literal": "gpt-5.1-codex" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 19": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.1-chat-latest" + "literal": "gpt-5.1-mini" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 20": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5" + "literal": "gpt-5.1-chat-latest" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 21": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-mini" + "literal": "gpt-5" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 22": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-nano" + "literal": "gpt-5-mini" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 23": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-2025-08-07" + "literal": "gpt-5-nano" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 24": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-mini-2025-08-07" + "literal": "gpt-5-2025-08-07" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 25": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-nano-2025-08-07" + "literal": "gpt-5-mini-2025-08-07" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 26": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-chat-latest" + "literal": "gpt-5-nano-2025-08-07" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 27": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4.1" + "literal": "gpt-5-chat-latest" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 28": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4.1-mini" + "literal": "gpt-4.1" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 29": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4.1-nano" + "literal": "gpt-4.1-mini" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 30": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4.1-2025-04-14" + "literal": "gpt-4.1-nano" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 31": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4.1-mini-2025-04-14" + "literal": "gpt-4.1-2025-04-14" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 32": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4.1-nano-2025-04-14" + "literal": "gpt-4.1-mini-2025-04-14" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 33": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o4-mini" + "literal": "gpt-4.1-nano-2025-04-14" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 34": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o4-mini-2025-04-16" + "literal": "o4-mini" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 35": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o3" + "literal": "o4-mini-2025-04-16" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 36": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o3-2025-04-16" + "literal": "o3" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 37": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o3-mini" + "literal": "o3-2025-04-16" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 38": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o3-mini-2025-01-31" + "literal": "o3-mini" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 39": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o1" + "literal": "o3-mini-2025-01-31" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 40": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o1-2024-12-17" + "literal": "o1" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 41": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o1-preview" + "literal": "o1-2024-12-17" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 42": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o1-preview-2024-09-12" + "literal": "o1-preview" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 43": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o1-mini" + "literal": "o1-preview-2024-09-12" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 44": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o1-mini-2024-09-12" + "literal": "o1-mini" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 45": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o" + "literal": "o1-mini-2024-09-12" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 46": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-2024-11-20" + "literal": "gpt-4o" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 47": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-2024-08-06" + "literal": "gpt-4o-2024-11-20" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 48": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-2024-05-13" + "literal": "gpt-4o-2024-08-06" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 49": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-audio-preview" + "literal": "gpt-4o-2024-05-13" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 50": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-audio-preview-2024-10-01" + "literal": "gpt-4o-audio-preview" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 51": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-audio-preview-2024-12-17" + "literal": "gpt-4o-audio-preview-2024-10-01" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 52": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-audio-preview-2025-06-03" + "literal": "gpt-4o-audio-preview-2024-12-17" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 53": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-mini-audio-preview" + "literal": "gpt-4o-audio-preview-2025-06-03" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 54": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-mini-audio-preview-2024-12-17" + "literal": "gpt-4o-mini-audio-preview" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 55": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-search-preview" + "literal": "gpt-4o-mini-audio-preview-2024-12-17" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 56": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-mini-search-preview" + "literal": "gpt-4o-search-preview" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 57": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-search-preview-2025-03-11" + "literal": "gpt-4o-mini-search-preview" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 58": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-mini-search-preview-2025-03-11" + "literal": "gpt-4o-search-preview-2025-03-11" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 59": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "chatgpt-4o-latest" + "literal": "gpt-4o-mini-search-preview-2025-03-11" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 60": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "codex-mini-latest" + "literal": "chatgpt-4o-latest" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 61": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-mini" + "literal": "codex-mini-latest" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 62": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-mini-2024-07-18" + "literal": "gpt-4o-mini" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 63": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-turbo" + "literal": "gpt-4o-mini-2024-07-18" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 64": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-turbo-2024-04-09" + "literal": "gpt-4-turbo" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 65": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-0125-preview" + "literal": "gpt-4-turbo-2024-04-09" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 66": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-turbo-preview" + "literal": "gpt-4-0125-preview" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 67": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-1106-preview" + "literal": "gpt-4-turbo-preview" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 68": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-vision-preview" + "literal": "gpt-4-1106-preview" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 69": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4" + "literal": "gpt-4-vision-preview" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 70": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-0314" + "literal": "gpt-4" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 71": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-0613" + "literal": "gpt-4-0314" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 72": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-32k" + "literal": "gpt-4-0613" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 73": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-32k-0314" + "literal": "gpt-4-32k" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 74": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-32k-0613" + "literal": "gpt-4-32k-0314" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 75": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-3.5-turbo" + "literal": "gpt-4-32k-0613" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 76": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-3.5-turbo-16k" + "literal": "gpt-3.5-turbo" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 77": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-3.5-turbo-0301" + "literal": "gpt-3.5-turbo-16k" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 78": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-3.5-turbo-0613" + "literal": "gpt-3.5-turbo-0301" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 79": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-3.5-turbo-1106" + "literal": "gpt-3.5-turbo-0613" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 80": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-3.5-turbo-0125" + "literal": "gpt-3.5-turbo-1106" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 81": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-3.5-turbo-16k-0613" + "literal": "gpt-3.5-turbo-0125" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 82": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o1-pro" + "literal": "gpt-3.5-turbo-16k-0613" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 83": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o1-pro-2025-03-19" + "literal": "o1-pro" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 84": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o3-pro" + "literal": "o1-pro-2025-03-19" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 85": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o3-pro-2025-06-10" + "literal": "o3-pro" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 86": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o3-deep-research" + "literal": "o3-pro-2025-06-10" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 87": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o3-deep-research-2025-06-26" + "literal": "o3-deep-research" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 88": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o4-mini-deep-research" + "literal": "o3-deep-research-2025-06-26" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 89": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o4-mini-deep-research-2025-06-26" + "literal": "o4-mini-deep-research" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 90": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "computer-use-preview" + "literal": "o4-mini-deep-research-2025-06-26" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 91": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "computer-use-preview-2025-03-11" + "literal": "computer-use-preview" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 92": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-codex" + "literal": "computer-use-preview-2025-03-11" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 93": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-pro" + "literal": "gpt-5.5-pro" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 94": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-pro-2025-10-06" + "literal": "gpt-5.5-pro-2026-04-23" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 95": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.1-codex-max" + "literal": "gpt-5-codex" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 96": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-daybreak-blue-latest" + "literal": "gpt-5-pro" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 97": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-daybreak-red-latest" + "literal": "gpt-5-pro-2025-10-06" } }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 98": { + "kind": "HttpDeclReference", + "type": { + "kind": "HttpTypeLiteral", + "literal": "gpt-5.1-codex-max" + } + }, + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 99": { + "kind": "HttpDeclReference", + "type": { + "kind": "HttpTypeLiteral", + "literal": "gpt-daybreak-blue-latest" + } + }, + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 100": { + "kind": "HttpDeclReference", + "type": { + "kind": "HttpTypeLiteral", + "literal": "gpt-daybreak-red-latest" + } + }, + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) model > (variant) 0 > (member) 101": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", @@ -9199,6 +9290,21 @@ Schema name: `BetaResponsesClientEventResponseCreate` "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) tools > (items) > (variant) 4 > (property) type > (member) 1" ] }, + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) tools > (items) > (variant) 4 > (property) external_web_access": { + "kind": "HttpDeclProperty", + "oasRef": "#/components/schemas/BetaWebSearchTool/properties/external_web_access", + "deprecated": false, + "key": "external_web_access", + "docstring": "Allow live internet access for web search. Defaults to true when omitted. When false, the web search tool runs in offline/cache-only mode and will not fetch new external content.", + "type": { + "kind": "HttpTypeBoolean" + }, + "default": true, + "optional": true, + "nullable": false, + "schemaType": "boolean", + "children": [] + }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) tools > (items) > (variant) 4 > (property) filters": { "kind": "HttpDeclProperty", "oasRef": "#/components/schemas/BetaWebSearchTool/properties/filters", @@ -12752,6 +12858,9 @@ Schema name: `BetaResponsesClientEventResponseCreate` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -13263,6 +13372,9 @@ Schema name: `BetaResponsesClientEventResponseCreate` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -20444,6 +20556,9 @@ Schema name: `BetaResponsesClientEventResponseCreate` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -20458,6 +20573,7 @@ Schema name: `BetaResponsesClientEventResponseCreate` "childrenParentSchema": "object", "children": [ "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) input > (variant) 1 > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) type", + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) input > (variant) 1 > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) external_web_access", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) input > (variant) 1 > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) filters", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) input > (variant) 1 > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) search_context_size", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) input > (variant) 1 > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) user_location" @@ -21026,6 +21142,9 @@ Schema name: `BetaResponsesClientEventResponseCreate` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -21040,6 +21159,7 @@ Schema name: `BetaResponsesClientEventResponseCreate` "childrenParentSchema": "object", "children": [ "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) input > (variant) 1 > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) type", + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) input > (variant) 1 > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) external_web_access", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) input > (variant) 1 > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) filters", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) input > (variant) 1 > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) search_context_size", "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) input > (variant) 1 > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) user_location" @@ -26370,6 +26490,21 @@ Schema name: `BetaResponsesClientEventResponseCreate` "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) input > (variant) 1 > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) type > (member) 1" ] }, + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) input > (variant) 1 > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) external_web_access": { + "kind": "HttpDeclProperty", + "oasRef": "#/components/schemas/BetaWebSearchTool/properties/external_web_access", + "deprecated": false, + "key": "external_web_access", + "docstring": "Allow live internet access for web search. Defaults to true when omitted. When false, the web search tool runs in offline/cache-only mode and will not fetch new external content.", + "type": { + "kind": "HttpTypeBoolean" + }, + "default": true, + "optional": true, + "nullable": false, + "schemaType": "boolean", + "children": [] + }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) input > (variant) 1 > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) filters": { "kind": "HttpDeclProperty", "oasRef": "#/components/schemas/BetaWebSearchTool/properties/filters", @@ -28398,6 +28533,21 @@ Schema name: `BetaResponsesClientEventResponseCreate` "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) input > (variant) 1 > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) type > (member) 1" ] }, + "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) input > (variant) 1 > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) external_web_access": { + "kind": "HttpDeclProperty", + "oasRef": "#/components/schemas/BetaWebSearchTool/properties/external_web_access", + "deprecated": false, + "key": "external_web_access", + "docstring": "Allow live internet access for web search. Defaults to true when omitted. When false, the web search tool runs in offline/cache-only mode and will not fetch new external content.", + "type": { + "kind": "HttpTypeBoolean" + }, + "default": true, + "optional": true, + "nullable": false, + "schemaType": "boolean", + "children": [] + }, "(resource) beta.responses > (model) beta_responses_client_event > (schema) > (variant) 0 > (property) input > (variant) 1 > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) filters": { "kind": "HttpDeclProperty", "oasRef": "#/components/schemas/BetaWebSearchTool/properties/filters", @@ -39482,6 +39632,7 @@ Schema name: `BetaResponsesClientEventResponseCreate` ```json { "type": "response.create", + "stream_id": "agent_1", "model": "gpt-5.5", "input": "Say hello." } @@ -44101,6 +44252,9 @@ Schema name: `BetaResponseInjectEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -44612,6 +44766,9 @@ Schema name: `BetaResponseInjectEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -49842,6 +49999,9 @@ Schema name: `BetaResponseInjectEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -49856,6 +50016,7 @@ Schema name: `BetaResponseInjectEvent` "childrenParentSchema": "object", "children": [ "(resource) beta.responses > (model) beta_response_inject_event > (schema) > (property) input > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) type", + "(resource) beta.responses > (model) beta_response_inject_event > (schema) > (property) input > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) external_web_access", "(resource) beta.responses > (model) beta_response_inject_event > (schema) > (property) input > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) filters", "(resource) beta.responses > (model) beta_response_inject_event > (schema) > (property) input > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) search_context_size", "(resource) beta.responses > (model) beta_response_inject_event > (schema) > (property) input > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) user_location" @@ -50424,6 +50585,9 @@ Schema name: `BetaResponseInjectEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -50438,6 +50602,7 @@ Schema name: `BetaResponseInjectEvent` "childrenParentSchema": "object", "children": [ "(resource) beta.responses > (model) beta_response_inject_event > (schema) > (property) input > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) type", + "(resource) beta.responses > (model) beta_response_inject_event > (schema) > (property) input > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) external_web_access", "(resource) beta.responses > (model) beta_response_inject_event > (schema) > (property) input > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) filters", "(resource) beta.responses > (model) beta_response_inject_event > (schema) > (property) input > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) search_context_size", "(resource) beta.responses > (model) beta_response_inject_event > (schema) > (property) input > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) user_location" @@ -54899,6 +55064,21 @@ Schema name: `BetaResponseInjectEvent` "(resource) beta.responses > (model) beta_response_inject_event > (schema) > (property) input > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) type > (member) 1" ] }, + "(resource) beta.responses > (model) beta_response_inject_event > (schema) > (property) input > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) external_web_access": { + "kind": "HttpDeclProperty", + "oasRef": "#/components/schemas/BetaWebSearchTool/properties/external_web_access", + "deprecated": false, + "key": "external_web_access", + "docstring": "Allow live internet access for web search. Defaults to true when omitted. When false, the web search tool runs in offline/cache-only mode and will not fetch new external content.", + "type": { + "kind": "HttpTypeBoolean" + }, + "default": true, + "optional": true, + "nullable": false, + "schemaType": "boolean", + "children": [] + }, "(resource) beta.responses > (model) beta_response_inject_event > (schema) > (property) input > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) filters": { "kind": "HttpDeclProperty", "oasRef": "#/components/schemas/BetaWebSearchTool/properties/filters", @@ -56927,6 +57107,21 @@ Schema name: `BetaResponseInjectEvent` "(resource) beta.responses > (model) beta_response_inject_event > (schema) > (property) input > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) type > (member) 1" ] }, + "(resource) beta.responses > (model) beta_response_inject_event > (schema) > (property) input > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) external_web_access": { + "kind": "HttpDeclProperty", + "oasRef": "#/components/schemas/BetaWebSearchTool/properties/external_web_access", + "deprecated": false, + "key": "external_web_access", + "docstring": "Allow live internet access for web search. Defaults to true when omitted. When false, the web search tool runs in offline/cache-only mode and will not fetch new external content.", + "type": { + "kind": "HttpTypeBoolean" + }, + "default": true, + "optional": true, + "nullable": false, + "schemaType": "boolean", + "children": [] + }, "(resource) beta.responses > (model) beta_response_inject_event > (schema) > (property) input > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) filters": { "kind": "HttpDeclProperty", "oasRef": "#/components/schemas/BetaWebSearchTool/properties/filters", @@ -72521,6 +72716,9 @@ Schema name: `BetaResponseInjectFailedEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -73032,6 +73230,9 @@ Schema name: `BetaResponseInjectFailedEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -78262,6 +78463,9 @@ Schema name: `BetaResponseInjectFailedEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -78276,6 +78480,7 @@ Schema name: `BetaResponseInjectFailedEvent` "childrenParentSchema": "object", "children": [ "(resource) beta.responses > (model) beta_response_inject_failed_event > (schema) > (property) input > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) type", + "(resource) beta.responses > (model) beta_response_inject_failed_event > (schema) > (property) input > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) external_web_access", "(resource) beta.responses > (model) beta_response_inject_failed_event > (schema) > (property) input > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) filters", "(resource) beta.responses > (model) beta_response_inject_failed_event > (schema) > (property) input > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) search_context_size", "(resource) beta.responses > (model) beta_response_inject_failed_event > (schema) > (property) input > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) user_location" @@ -78844,6 +79049,9 @@ Schema name: `BetaResponseInjectFailedEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -78858,6 +79066,7 @@ Schema name: `BetaResponseInjectFailedEvent` "childrenParentSchema": "object", "children": [ "(resource) beta.responses > (model) beta_response_inject_failed_event > (schema) > (property) input > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) type", + "(resource) beta.responses > (model) beta_response_inject_failed_event > (schema) > (property) input > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) external_web_access", "(resource) beta.responses > (model) beta_response_inject_failed_event > (schema) > (property) input > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) filters", "(resource) beta.responses > (model) beta_response_inject_failed_event > (schema) > (property) input > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) search_context_size", "(resource) beta.responses > (model) beta_response_inject_failed_event > (schema) > (property) input > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) user_location" @@ -83319,6 +83528,21 @@ Schema name: `BetaResponseInjectFailedEvent` "(resource) beta.responses > (model) beta_response_inject_failed_event > (schema) > (property) input > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) type > (member) 1" ] }, + "(resource) beta.responses > (model) beta_response_inject_failed_event > (schema) > (property) input > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) external_web_access": { + "kind": "HttpDeclProperty", + "oasRef": "#/components/schemas/BetaWebSearchTool/properties/external_web_access", + "deprecated": false, + "key": "external_web_access", + "docstring": "Allow live internet access for web search. Defaults to true when omitted. When false, the web search tool runs in offline/cache-only mode and will not fetch new external content.", + "type": { + "kind": "HttpTypeBoolean" + }, + "default": true, + "optional": true, + "nullable": false, + "schemaType": "boolean", + "children": [] + }, "(resource) beta.responses > (model) beta_response_inject_failed_event > (schema) > (property) input > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) filters": { "kind": "HttpDeclProperty", "oasRef": "#/components/schemas/BetaWebSearchTool/properties/filters", @@ -85347,6 +85571,21 @@ Schema name: `BetaResponseInjectFailedEvent` "(resource) beta.responses > (model) beta_response_inject_failed_event > (schema) > (property) input > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) type > (member) 1" ] }, + "(resource) beta.responses > (model) beta_response_inject_failed_event > (schema) > (property) input > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) external_web_access": { + "kind": "HttpDeclProperty", + "oasRef": "#/components/schemas/BetaWebSearchTool/properties/external_web_access", + "deprecated": false, + "key": "external_web_access", + "docstring": "Allow live internet access for web search. Defaults to true when omitted. When false, the web search tool runs in offline/cache-only mode and will not fetch new external content.", + "type": { + "kind": "HttpTypeBoolean" + }, + "default": true, + "optional": true, + "nullable": false, + "schemaType": "boolean", + "children": [] + }, "(resource) beta.responses > (model) beta_response_inject_failed_event > (schema) > (property) input > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) filters": { "kind": "HttpDeclProperty", "oasRef": "#/components/schemas/BetaWebSearchTool/properties/filters", @@ -96093,6 +96332,41 @@ Schema name: `BetaResponseCreatedEvent` ```json { + "(resource) beta.responses > (model) beta_responses_server_event > (schema) > (variant) 12": { + "kind": "HttpDeclTypeAlias", + "oasRef": "#/components/schemas/BetaResponsesServerEvent/anyOf/12", + "docstring": "An event that is emitted when a response is created.\n", + "ident": "BetaResponseWsCreated", + "type": { + "kind": "HttpTypeIntersection", + "oasRef": "#/components/schemas/BetaResponsesServerEvent/anyOf/12", + "types": [ + { + "kind": "HttpTypeReference", + "ident": "BetaResponseCreatedEvent", + "$ref": "(resource) beta.responses > (model) beta_response_created_event > (schema)" + } + ] + }, + "childrenParentSchema": "intersection", + "children": [ + "(resource) beta.responses > (model) beta_responses_server_event > (schema) > (variant) 12 > (entry) 1 > (property) stream_id" + ] + }, + "(resource) beta.responses > (model) beta_responses_server_event > (schema) > (variant) 12 > (entry) 1 > (property) stream_id": { + "kind": "HttpDeclProperty", + "oasRef": "#/components/schemas/BetaResponsesServerEvent/anyOf/12/allOf/1/properties/stream_id", + "deprecated": false, + "key": "stream_id", + "docstring": "The WebSocket lane that emitted this event. This field is present\nwhen the originating `response.create` event supplied a\n`stream_id`.\n", + "type": { + "kind": "HttpTypeString" + }, + "optional": true, + "nullable": false, + "schemaType": "string", + "children": [] + }, "(resource) beta.responses > (model) beta_response_created_event > (schema)": { "kind": "HttpDeclTypeAlias", "oasRef": "#/components/schemas/BetaResponseCreatedEvent", @@ -97203,6 +97477,10 @@ Schema name: `BetaResponseCreatedEvent` "kind": "HttpTypeLiteral", "literal": "gpt-5.5" }, + { + "kind": "HttpTypeLiteral", + "literal": "gpt-5.5-2026-04-23" + }, { "kind": "HttpTypeLiteral", "literal": "gpt-5.4" @@ -97555,6 +97833,14 @@ Schema name: `BetaResponseCreatedEvent` "kind": "HttpTypeLiteral", "literal": "computer-use-preview-2025-03-11" }, + { + "kind": "HttpTypeLiteral", + "literal": "gpt-5.5-pro" + }, + { + "kind": "HttpTypeLiteral", + "literal": "gpt-5.5-pro-2026-04-23" + }, { "kind": "HttpTypeLiteral", "literal": "gpt-5-codex" @@ -97885,6 +98171,9 @@ Schema name: `BetaResponseCreatedEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -98450,13 +98739,13 @@ Schema name: `BetaResponseCreatedEvent` }, "(resource) beta.responses > (model) beta_response > (schema) > (property) service_tier": { "kind": "HttpDeclProperty", - "oasRef": "#/components/schemas/BetaModelResponseProperties/properties/service_tier", + "oasRef": "#/components/schemas/BetaResponse/allOf/2/properties/service_tier", "deprecated": false, "key": "service_tier", - "docstring": "Specifies the processing type used for serving the request.\n - If set to 'auto', then the request will be processed with the service tier configured in the Project settings. Unless otherwise configured, the Project will use 'default'.\n - If set to 'default', then the request will be processed with the standard pricing and performance for the selected model.\n - If set to '[flex](/docs/guides/flex-processing)', then the request will be processed with the Flex Processing service tier.\n - To opt-in to [Fast mode](/api/docs/guides/fast-mode) at the request level, include the `service_tier=fast` or `service_tier=priority` parameter for Responses or Chat Completions. The response will show `service_tier=priority` regardless of if you specify `service_tier=fast` or `priority` in your request.\n - When not set, the default behavior is 'auto'.\n\n When the `service_tier` parameter is set, the response body will include the `service_tier` value based on the processing mode actually used to serve the request. This response value may be different from the value set in the parameter.\n", + "docstring": "Specifies the processing type used for serving the request.\n - If set to 'auto', then the request will be processed with the service tier configured in the Project settings. Unless otherwise configured, the Project will use 'default'.\n - If set to 'default', then the request will be processed with the standard pricing and performance for the selected model.\n - If set to '[flex](/docs/guides/flex-processing)', then the request will be processed with the Flex Processing service tier.\n - To opt-in to [Fast mode](/api/docs/guides/fast-mode) at the request level, include the `service_tier=fast` or `service_tier=priority` parameter for Responses or Chat Completions. The response will show `service_tier=priority` regardless of if you specify `service_tier=fast` or `priority` in your request.\n - If set to 'ultrafast', then the request will be processed with the access-controlled Ultrafast Processing service tier. This tier is currently available for `gpt-5.6-sol`; a response served through it will show `service_tier=ultrafast`.\n - When not set, the default behavior is 'auto'.\n\n When the `service_tier` parameter is set, the response body will include the `service_tier` value based on the processing mode actually used to serve the request. This response value may be different from the value set in the parameter.\n", "type": { "kind": "HttpTypeUnion", - "oasRef": "#/components/schemas/BetaModelResponseProperties/properties/service_tier", + "oasRef": "#/components/schemas/BetaResponse/allOf/2/properties/service_tier", "types": [ { "kind": "HttpTypeLiteral", @@ -98481,6 +98770,10 @@ Schema name: `BetaResponseCreatedEvent` { "kind": "HttpTypeLiteral", "literal": "fast" + }, + { + "kind": "HttpTypeLiteral", + "literal": "ultrafast" } ] }, @@ -98495,7 +98788,8 @@ Schema name: `BetaResponseCreatedEvent` "(resource) beta.responses > (model) beta_response > (schema) > (property) service_tier > (member) 2", "(resource) beta.responses > (model) beta_response > (schema) > (property) service_tier > (member) 3", "(resource) beta.responses > (model) beta_response > (schema) > (property) service_tier > (member) 4", - "(resource) beta.responses > (model) beta_response > (schema) > (property) service_tier > (member) 5" + "(resource) beta.responses > (model) beta_response > (schema) > (property) service_tier > (member) 5", + "(resource) beta.responses > (model) beta_response > (schema) > (property) service_tier > (member) 6" ] }, "(resource) beta.responses > (model) beta_response > (schema) > (property) status": { @@ -99955,6 +100249,10 @@ Schema name: `BetaResponseCreatedEvent` "kind": "HttpTypeLiteral", "literal": "gpt-5.5" }, + { + "kind": "HttpTypeLiteral", + "literal": "gpt-5.5-2026-04-23" + }, { "kind": "HttpTypeLiteral", "literal": "gpt-5.4" @@ -100307,6 +100605,14 @@ Schema name: `BetaResponseCreatedEvent` "kind": "HttpTypeLiteral", "literal": "computer-use-preview-2025-03-11" }, + { + "kind": "HttpTypeLiteral", + "literal": "gpt-5.5-pro" + }, + { + "kind": "HttpTypeLiteral", + "literal": "gpt-5.5-pro-2026-04-23" + }, { "kind": "HttpTypeLiteral", "literal": "gpt-5-codex" @@ -100437,7 +100743,10 @@ Schema name: `BetaResponseCreatedEvent` "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 95", "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 96", "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 97", - "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 98" + "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 98", + "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 99", + "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 100", + "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 101" ] }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 1": { @@ -102994,6 +103303,9 @@ Schema name: `BetaResponseCreatedEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -103008,6 +103320,7 @@ Schema name: `BetaResponseCreatedEvent` "childrenParentSchema": "object", "children": [ "(resource) beta.responses > (model) beta_response > (schema) > (property) tools > (items) > (variant) 4 > (property) type", + "(resource) beta.responses > (model) beta_response > (schema) > (property) tools > (items) > (variant) 4 > (property) external_web_access", "(resource) beta.responses > (model) beta_response > (schema) > (property) tools > (items) > (variant) 4 > (property) filters", "(resource) beta.responses > (model) beta_response > (schema) > (property) tools > (items) > (variant) 4 > (property) search_context_size", "(resource) beta.responses > (model) beta_response > (schema) > (property) tools > (items) > (variant) 4 > (property) user_location" @@ -103914,6 +104227,13 @@ Schema name: `BetaResponseCreatedEvent` "literal": "fast" } }, + "(resource) beta.responses > (model) beta_response > (schema) > (property) service_tier > (member) 6": { + "kind": "HttpDeclReference", + "type": { + "kind": "HttpTypeLiteral", + "literal": "ultrafast" + } + }, "(resource) beta.responses > (model) beta_response_status > (schema) > (member) 0": { "kind": "HttpDeclReference", "type": { @@ -106032,661 +106352,682 @@ Schema name: `BetaResponseCreatedEvent` "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.4" + "literal": "gpt-5.5-2026-04-23" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 5": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.4-mini" + "literal": "gpt-5.4" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 6": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.4-nano" + "literal": "gpt-5.4-mini" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 7": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.4-mini-2026-03-17" + "literal": "gpt-5.4-nano" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 8": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.4-nano-2026-03-17" + "literal": "gpt-5.4-mini-2026-03-17" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 9": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.3-chat-latest" + "literal": "gpt-5.4-nano-2026-03-17" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 10": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.2" + "literal": "gpt-5.3-chat-latest" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 11": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.2-2025-12-11" + "literal": "gpt-5.2" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 12": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.2-chat-latest" + "literal": "gpt-5.2-2025-12-11" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 13": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.2-pro" + "literal": "gpt-5.2-chat-latest" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 14": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.2-pro-2025-12-11" + "literal": "gpt-5.2-pro" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 15": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.1" + "literal": "gpt-5.2-pro-2025-12-11" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 16": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.1-2025-11-13" + "literal": "gpt-5.1" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 17": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.1-codex" + "literal": "gpt-5.1-2025-11-13" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 18": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.1-mini" + "literal": "gpt-5.1-codex" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 19": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.1-chat-latest" + "literal": "gpt-5.1-mini" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 20": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5" + "literal": "gpt-5.1-chat-latest" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 21": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-mini" + "literal": "gpt-5" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 22": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-nano" + "literal": "gpt-5-mini" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 23": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-2025-08-07" + "literal": "gpt-5-nano" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 24": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-mini-2025-08-07" + "literal": "gpt-5-2025-08-07" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 25": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-nano-2025-08-07" + "literal": "gpt-5-mini-2025-08-07" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 26": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-chat-latest" + "literal": "gpt-5-nano-2025-08-07" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 27": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4.1" + "literal": "gpt-5-chat-latest" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 28": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4.1-mini" + "literal": "gpt-4.1" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 29": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4.1-nano" + "literal": "gpt-4.1-mini" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 30": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4.1-2025-04-14" + "literal": "gpt-4.1-nano" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 31": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4.1-mini-2025-04-14" + "literal": "gpt-4.1-2025-04-14" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 32": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4.1-nano-2025-04-14" + "literal": "gpt-4.1-mini-2025-04-14" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 33": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o4-mini" + "literal": "gpt-4.1-nano-2025-04-14" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 34": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o4-mini-2025-04-16" + "literal": "o4-mini" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 35": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o3" + "literal": "o4-mini-2025-04-16" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 36": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o3-2025-04-16" + "literal": "o3" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 37": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o3-mini" + "literal": "o3-2025-04-16" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 38": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o3-mini-2025-01-31" + "literal": "o3-mini" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 39": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o1" + "literal": "o3-mini-2025-01-31" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 40": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o1-2024-12-17" + "literal": "o1" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 41": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o1-preview" + "literal": "o1-2024-12-17" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 42": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o1-preview-2024-09-12" + "literal": "o1-preview" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 43": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o1-mini" + "literal": "o1-preview-2024-09-12" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 44": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o1-mini-2024-09-12" + "literal": "o1-mini" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 45": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o" + "literal": "o1-mini-2024-09-12" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 46": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-2024-11-20" + "literal": "gpt-4o" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 47": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-2024-08-06" + "literal": "gpt-4o-2024-11-20" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 48": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-2024-05-13" + "literal": "gpt-4o-2024-08-06" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 49": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-audio-preview" + "literal": "gpt-4o-2024-05-13" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 50": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-audio-preview-2024-10-01" + "literal": "gpt-4o-audio-preview" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 51": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-audio-preview-2024-12-17" + "literal": "gpt-4o-audio-preview-2024-10-01" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 52": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-audio-preview-2025-06-03" + "literal": "gpt-4o-audio-preview-2024-12-17" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 53": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-mini-audio-preview" + "literal": "gpt-4o-audio-preview-2025-06-03" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 54": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-mini-audio-preview-2024-12-17" + "literal": "gpt-4o-mini-audio-preview" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 55": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-search-preview" + "literal": "gpt-4o-mini-audio-preview-2024-12-17" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 56": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-mini-search-preview" + "literal": "gpt-4o-search-preview" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 57": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-search-preview-2025-03-11" + "literal": "gpt-4o-mini-search-preview" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 58": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-mini-search-preview-2025-03-11" + "literal": "gpt-4o-search-preview-2025-03-11" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 59": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "chatgpt-4o-latest" + "literal": "gpt-4o-mini-search-preview-2025-03-11" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 60": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "codex-mini-latest" + "literal": "chatgpt-4o-latest" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 61": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-mini" + "literal": "codex-mini-latest" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 62": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4o-mini-2024-07-18" + "literal": "gpt-4o-mini" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 63": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-turbo" + "literal": "gpt-4o-mini-2024-07-18" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 64": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-turbo-2024-04-09" + "literal": "gpt-4-turbo" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 65": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-0125-preview" + "literal": "gpt-4-turbo-2024-04-09" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 66": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-turbo-preview" + "literal": "gpt-4-0125-preview" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 67": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-1106-preview" + "literal": "gpt-4-turbo-preview" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 68": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-vision-preview" + "literal": "gpt-4-1106-preview" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 69": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4" + "literal": "gpt-4-vision-preview" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 70": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-0314" + "literal": "gpt-4" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 71": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-0613" + "literal": "gpt-4-0314" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 72": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-32k" + "literal": "gpt-4-0613" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 73": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-32k-0314" + "literal": "gpt-4-32k" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 74": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-4-32k-0613" + "literal": "gpt-4-32k-0314" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 75": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-3.5-turbo" + "literal": "gpt-4-32k-0613" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 76": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-3.5-turbo-16k" + "literal": "gpt-3.5-turbo" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 77": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-3.5-turbo-0301" + "literal": "gpt-3.5-turbo-16k" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 78": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-3.5-turbo-0613" + "literal": "gpt-3.5-turbo-0301" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 79": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-3.5-turbo-1106" + "literal": "gpt-3.5-turbo-0613" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 80": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-3.5-turbo-0125" + "literal": "gpt-3.5-turbo-1106" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 81": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-3.5-turbo-16k-0613" + "literal": "gpt-3.5-turbo-0125" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 82": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o1-pro" + "literal": "gpt-3.5-turbo-16k-0613" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 83": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o1-pro-2025-03-19" + "literal": "o1-pro" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 84": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o3-pro" + "literal": "o1-pro-2025-03-19" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 85": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o3-pro-2025-06-10" + "literal": "o3-pro" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 86": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o3-deep-research" + "literal": "o3-pro-2025-06-10" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 87": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o3-deep-research-2025-06-26" + "literal": "o3-deep-research" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 88": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o4-mini-deep-research" + "literal": "o3-deep-research-2025-06-26" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 89": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "o4-mini-deep-research-2025-06-26" + "literal": "o4-mini-deep-research" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 90": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "computer-use-preview" + "literal": "o4-mini-deep-research-2025-06-26" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 91": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "computer-use-preview-2025-03-11" + "literal": "computer-use-preview" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 92": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-codex" + "literal": "computer-use-preview-2025-03-11" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 93": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-pro" + "literal": "gpt-5.5-pro" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 94": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5-pro-2025-10-06" + "literal": "gpt-5.5-pro-2026-04-23" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 95": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-5.1-codex-max" + "literal": "gpt-5-codex" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 96": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-daybreak-blue-latest" + "literal": "gpt-5-pro" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 97": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", - "literal": "gpt-daybreak-red-latest" + "literal": "gpt-5-pro-2025-10-06" } }, "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 98": { + "kind": "HttpDeclReference", + "type": { + "kind": "HttpTypeLiteral", + "literal": "gpt-5.1-codex-max" + } + }, + "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 99": { + "kind": "HttpDeclReference", + "type": { + "kind": "HttpTypeLiteral", + "literal": "gpt-daybreak-blue-latest" + } + }, + "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 100": { + "kind": "HttpDeclReference", + "type": { + "kind": "HttpTypeLiteral", + "literal": "gpt-daybreak-red-latest" + } + }, + "(resource) beta.responses > (model) beta_response > (schema) > (property) model > (variant) 0 > (member) 101": { "kind": "HttpDeclReference", "type": { "kind": "HttpTypeLiteral", @@ -109074,6 +109415,9 @@ Schema name: `BetaResponseCreatedEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -109549,6 +109893,9 @@ Schema name: `BetaResponseCreatedEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -113013,6 +113360,21 @@ Schema name: `BetaResponseCreatedEvent` "(resource) beta.responses > (model) beta_response > (schema) > (property) tools > (items) > (variant) 4 > (property) type > (member) 1" ] }, + "(resource) beta.responses > (model) beta_response > (schema) > (property) tools > (items) > (variant) 4 > (property) external_web_access": { + "kind": "HttpDeclProperty", + "oasRef": "#/components/schemas/BetaWebSearchTool/properties/external_web_access", + "deprecated": false, + "key": "external_web_access", + "docstring": "Allow live internet access for web search. Defaults to true when omitted. When false, the web search tool runs in offline/cache-only mode and will not fetch new external content.", + "type": { + "kind": "HttpTypeBoolean" + }, + "default": true, + "optional": true, + "nullable": false, + "schemaType": "boolean", + "children": [] + }, "(resource) beta.responses > (model) beta_response > (schema) > (property) tools > (items) > (variant) 4 > (property) filters": { "kind": "HttpDeclProperty", "oasRef": "#/components/schemas/BetaWebSearchTool/properties/filters", @@ -117174,6 +117536,9 @@ Schema name: `BetaResponseCreatedEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -117685,6 +118050,9 @@ Schema name: `BetaResponseCreatedEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -123115,6 +123483,9 @@ Schema name: `BetaResponseCreatedEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -123129,6 +123500,7 @@ Schema name: `BetaResponseCreatedEvent` "childrenParentSchema": "object", "children": [ "(resource) beta.responses > (model) beta_response_output_item > (schema) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) type", + "(resource) beta.responses > (model) beta_response_output_item > (schema) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) external_web_access", "(resource) beta.responses > (model) beta_response_output_item > (schema) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) filters", "(resource) beta.responses > (model) beta_response_output_item > (schema) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) search_context_size", "(resource) beta.responses > (model) beta_response_output_item > (schema) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) user_location" @@ -123711,6 +124083,9 @@ Schema name: `BetaResponseCreatedEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -123725,6 +124100,7 @@ Schema name: `BetaResponseCreatedEvent` "childrenParentSchema": "object", "children": [ "(resource) beta.responses > (model) beta_response_output_item > (schema) > (variant) 15 > (property) tools > (items) > (variant) 4 > (property) type", + "(resource) beta.responses > (model) beta_response_output_item > (schema) > (variant) 15 > (property) tools > (items) > (variant) 4 > (property) external_web_access", "(resource) beta.responses > (model) beta_response_output_item > (schema) > (variant) 15 > (property) tools > (items) > (variant) 4 > (property) filters", "(resource) beta.responses > (model) beta_response_output_item > (schema) > (variant) 15 > (property) tools > (items) > (variant) 4 > (property) search_context_size", "(resource) beta.responses > (model) beta_response_output_item > (schema) > (variant) 15 > (property) tools > (items) > (variant) 4 > (property) user_location" @@ -129091,6 +129467,9 @@ Schema name: `BetaResponseCreatedEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -129105,6 +129484,7 @@ Schema name: `BetaResponseCreatedEvent` "childrenParentSchema": "object", "children": [ "(resource) beta.responses > (model) beta_response > (schema) > (property) instructions > (variant) 1 > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) type", + "(resource) beta.responses > (model) beta_response > (schema) > (property) instructions > (variant) 1 > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) external_web_access", "(resource) beta.responses > (model) beta_response > (schema) > (property) instructions > (variant) 1 > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) filters", "(resource) beta.responses > (model) beta_response > (schema) > (property) instructions > (variant) 1 > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) search_context_size", "(resource) beta.responses > (model) beta_response > (schema) > (property) instructions > (variant) 1 > (items) > (variant) 13 > (property) tools > (items) > (variant) 4 > (property) user_location" @@ -129673,6 +130053,9 @@ Schema name: `BetaResponseCreatedEvent` { "ident": "type" }, + { + "ident": "external_web_access" + }, { "ident": "filters" }, @@ -129687,6 +130070,7 @@ Schema name: `BetaResponseCreatedEvent` "childrenParentSchema": "object", "children": [ "(resource) beta.responses > (model) beta_response > (schema) > (property) instructions > (variant) 1 > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) type", + "(resource) beta.responses > (model) beta_response > (schema) > (property) instructions > (variant) 1 > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) external_web_access", "(resource) beta.responses > (model) beta_response > (schema) > (property) instructions > (variant) 1 > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) filters", "(resource) beta.responses > (model) beta_response > (schema) > (property) instructions > (variant) 1 > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) search_context_size", "(resource) beta.responses > (model) beta_response > (schema) > (property) instructions > (variant) 1 > (items) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) user_location" @@ -133521,6 +133905,21 @@ Schema name: `BetaResponseCreatedEvent` "(resource) beta.responses > (model) beta_response_output_item > (schema) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) type > (member) 1" ] }, + "(resource) beta.responses > (model) beta_response_output_item > (schema) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) external_web_access": { + "kind": "HttpDeclProperty", + "oasRef": "#/components/schemas/BetaWebSearchTool/properties/external_web_access", + "deprecated": false, + "key": "external_web_access", + "docstring": "Allow live internet access for web search. Defaults to true when omitted. When false, the web search tool runs in offline/cache-only mode and will not fetch new external content.", + "type": { + "kind": "HttpTypeBoolean" + }, + "default": true, + "optional": true, + "nullable": false, + "schemaType": "boolean", + "children": [] + }, "(resource) beta.responses > (model) beta_response_output_item > (schema) > (variant) 14 > (property) tools > (items) > (variant) 4 > (property) filters": { "kind": "HttpDeclProperty", "oasRef": "#/components/schemas/BetaWebSearchTool/properties/filters", @@ -135549,6 +135948,21 @@ Schema name: `BetaResponseCreatedEvent` "(resource) beta.responses > (model) beta_response_output_item > (schema) > (variant) 15 > (property) tools > (items) > (variant) 4 > (property) type > (member) 1" ] }, + "(resource) beta.responses > (model) beta_response_output_item > (schema) > (variant) 15 > (property) tools > (items) > (variant) 4 > (property) external_web_access": { + "kind": "HttpDeclProperty", + "oasRef": "#/components/schemas/BetaWebSearchTool/properties/external_web_access", + "deprecated": false, + "key": "external_web_access", + "docstring": "Allow live internet access for web search. Defaults to true when omitted. When false, the web search tool runs in offline/cache-only mode and will not fetch new external content.", + "type": { + "kind": "HttpTypeBoolean" + }, + "default": true, + "optional": true, + "nullable": false, + "schemaType": "boolean", + "children": [] + }, "
[...]
